/**
 * @license
 *-------------------------------------------------------------------------------------------
 * Copyright © 2025 Progress Software Corporation. All rights reserved.
 * Licensed under commercial license. See LICENSE.md in the package root for more information
 *-------------------------------------------------------------------------------------------
 */
import { defineComponent as r, createVNode as t } from "vue";
import { packageMetadata as a } from "./package-metadata.mjs";
import { validatePackage as o, getDefaultSlots as i } from "@progress/kendo-vue-common";
const s = /* @__PURE__ */ r({
  name: "KendoFieldWrapper",
  props: {
    dir: String,
    horizontal: Boolean
  },
  created() {
    o(a);
  },
  computed: {
    fieldClassName() {
      return {
        "k-form-field": !0,
        "k-rtl": this.$props.dir === "rtl"
      };
    }
  },
  render() {
    const e = i(this);
    return t("div", {
      class: this.fieldClassName
    }, [e]);
  }
});
export {
  s as FieldWrapper
};
